# (un)define the next line to either build for the newest or all current kernels
#define buildforkernels newest

Name:           linux-fusion-kmod
Version:        8.10.4
Release:        1%{?dist}
Summary:        fusion kernel module

Group:          System Environment/Kernel
License:        GPLv2+
URL:            http://www.directfb.org
Source0:        http://www.directfb.org/downloads/Core/linux-fusion/linux-fusion-%{version}.tar.gz
Source11:       linux-fusion-kmodtool-excludekernel-filterfile
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires:  %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }    

%description
The linux-fusion kernel module for use of Multi application core
in directfb


%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool  --target %{_target_cpu}  --repo rpmfusion --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null
%setup -q -c -T -a 0

for kernel_version  in %{?kernel_versions} ; do
    cp -a linux-fusion-%{version} _kmod_build_${kernel_version%%___*}
done


%build
for kernel_version in %{?kernel_versions}; do
  pushd _kmod_build_${kernel_version%%___*}
    make KERNEL_VERSION="${kernel_version%%___*}" KERNEL_BUILD="${kernel_version##*___}"
  popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kernel_version  in %{?kernel_versions} ; do
  mkdir -p $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}
  pushd _kmod_build_${kernel_version%%___*}
    install -D -m 0755 linux/drivers/char/fusion/fusion.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}
  popd
done

%{?akmod_install}

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri Nov 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 8.10.4-1
- Update to 8.10.4

* Sun Aug 26 2012 Nicolas Chauvet <kwizart@gmail.com> - 8.10.3-1
- Update to 8.10.3

* Fri Oct 24 2008 kwizart < kwizart at gmail.com > - 8.0.2-2
- Build for newest

* Thu Oct  2 2008 kwizart < kwizart at gmail.com > - 8.0.2-1
- Update to 8.0.2

* Wed Jul 16 2008 kwizart < kwizart at gmail.com > - 8.0.0-3
- Patch for dynamic major number allocation

* Wed Jul 16 2008 kwizart < kwizart at gmail.com > - 8.0.0-2
- Build for newest

* Sat Jun 21 2008 kwizart < kwizart at gmail.com > - 8.0.0-1
- first spec file

